/* eslint-disable */
angular
    .module('App', [])
    .service('getTrans', function getTrans($http) {

        const getUrlParameter = (name) => {
            name = name.replace(/[\[]/, '\\[').replace(/[\]]/, '\\]');
            const regex = new RegExp(`[\\?&]${name}=([^&#]*)`);
            const results = regex.exec(document.location.search);
            return results === null ? '' : decodeURIComponent(results[1].replace(/\+/g, ' '));
        };
        let lang = getUrlParameter('lang') || 'en';
        lang = !!~['en', 'ru', 'ge', 'pl', 'tr', 'ua', 'bg', 'sv', 'de', 'hr', 'fi', 'da', 'nn', 'dk'].indexOf(lang) ? lang : 'en';
        this.getList = $http.get(`./translations/${lang}.json`);
    })
    .controller('mainBody', function mainBody($scope, getTrans) {
        $scope.goToOffer = '';
        getTrans.getList.then(res => {
            $scope.t = res.data;
        });
    });
