/* eslint-disable */
angular
    .module('App', [])
    .service('getTrans', function getTrans($http) {
        const getUrlParameter = (name) => {
            name = name.replace(/[\[]/, '\\[').replace(/[\]]/, '\\]');
            const regex = new RegExp(`[\\?&]${name}=([^&#]*)`);
            const results = regex.exec(document.location.search);
            return results === null ? '' : decodeURIComponent(results[1].replace(/\+/g, ' '));
        };
        let lang = getUrlParameter('lang') || 'ru';
        lang = !!~['am', 'az', 'bl', 'ge', 'kz', 'md', 'ru', 'ua'].indexOf(lang) ? lang : 'ru';
        this.getList = $http.get(`./translations/${lang}.json`);
        this.lang = lang;
    })
    .controller('mainBody', function mainBody($scope, getTrans) {
        getTrans.getList.then(res => {
            $scope.t = res.data;
            $scope.image = "./wheel_rus.png";
            $scope.image2 = "./button_click.png";
            // if (getTrans.lang == 'ru') {
            //     $scope.image ="./catOne.jpg";
            //     console.log(lang)
            // } else if (getTrans.lang == 'en') {
            //     $scope.image="./catTwo.jpg";
            //     console.log(lang);
            // }
            switch(getTrans.lang) {
                case 'ru':
                    $scope.image = "./wheel_rus.png";
                    $scope.image2 = "./button_click_rus.png";
                    break;
                case 'az':
                    $scope.image = "./wheel_az.png";
                    $scope.image2 = "./button_click_az.png";
                    break;
                case 'am':
                    $scope.image = "./wheel_arm.png";
                    $scope.image2 = "./button_click_arm.png";
                    break;
                case 'bl':
                    $scope.image = "./wheel_bel.png";
                    $scope.image2 = "./button_click_bel.png";
                    break;
                case 'ge':
                    $scope.image = "./wheel_georg.png";
                    $scope.image2 = "./button_click_georg.png";
                    break;
                case 'kz':
                    $scope.image = "./wheel_kz.png";
                    $scope.image2 = "./button_click_kz.png";
                    break;
                case 'md':
                    $scope.image = "./wheel_mld.png";
                    $scope.image2 = "./button_click_mld.png";
                    break;
                case 'ua':
                    $scope.image = "./wheel_urk.png";
                    $scope.image2 = "./button_click_ukr.png";
                    break;
                default:
                    $scope.image = "./wheel_rus.png";
                    $scope.image2 = "./button_click_rus.png";
                    break;
            }
            var alertSrt = $scope.t.enterAlertText;
            $(document).ready(function() {

                $('a').each(function(index, value) {
                    $(this).click(function() {
                        window.onbeforeunload = null;
                    });
                });

                window.onbeforeunload = function(e) {
                    return alertSrt;
                };
            });
            $(document).ready(function() {
                $('.popup_wrapper.welcome').addClass('show');

                $('.link_close').bind('click', function(e) {
                    $('.popup_wrapper.show').remove();
                });

                $('.popup_wrapper.tooltip').bind('click', function(e) {
                    $('.popup_wrapper.show').remove();
                    $('#spin').removeClass().addClass('spinAround2');
                    setTimeout(function() {
                        $('.popup_wrapper.winner').addClass('show');
                    }, 6600);
                });
            });

            function startSpin() {
                var spinWin = document.getElementById("spin");
                document.getElementById("win2").style.display = 'block';
                var element = document.getElementById("win");
                element.parentNode.removeChild(element);
                spinWin.className = spinWin.className + "spinAround";
                setTimeout(function() {
                    $('.popup_wrapper.tooltip').addClass('show');
                }, 6600);
            }
        });
        // function setImage() {
        //     var link = window.location.href;
        //     let existLang = url.searchParams.get('lang');
        //     function returnLang () {
        //         if (lang.includes(lang)) {
        //             return existLang;
        //         }
        //         return existLang = '';
        //     };
        // }
    });

