(function() {

  // CMS TRACKING
  var hasLoaded = (function() {
     var scrs = document.head.querySelectorAll('script');
     for (var i=0;i<scrs.length; i++) {
        if (scrs[i].src && scrs[i].src.indexOf('.adobedtm.') > -1) {
          return true;
        }
     }
     return false;
  })();

 // Footer pages should be excluded from DTM tracking
 var isFooter = window.location.href.indexOf('-footer-') > -1;

 // Pop pages should be excluded from DTM tracking
 var isPopPage = window.location.href.indexOf('/pop/') > -1; 

  if ( !hasLoaded && !isFooter && !isPopPage) { // window['cms'] === undefined &&
            var deviceGroup = (function () {
                if (navigator.userAgent.match(/iPad/i)) {
                    return 'tablet';
                } else if(navigator.userAgent.match(/mobile/i)) {
                    return 'mobilephone';
                } else if (navigator.userAgent.match(/Android|Touch/i)) {
                    return 'tablet';
                } else {
                    return 'desktop';
                }
            })();
            
            window['cms'] = {};
            window['cms'].device = {
                clientId: "bf_landingpage",
                group: deviceGroup
            };

            document.write('<scr'+'ipt src="//assets.adobedtm.com/2ba9756ce24e85b6613a5e44df81f3a5de8f7320/satelliteLib-81fa49b12f4903c5e2b79397db5965ace0d8bfac.js"></scr'+'ipt>');

  }

  // RETARGETING PIXELS
  if (!isFooter) {
        // Automatically fires pixels according to page URI
        var eventBaseUrl = 'https://unibet.demdex.net/event?d_sid=';
	var events = [
	 	{ name: 'unibet', id: '9755701', match: '.unibet.' },
		{ name: 'ppc', id: '9755599', match: '/ppc/' },
		{ name: 'aff', id: '9755600', match: '/aff/' },
		{ name: 'sportsbook', id: '9678482', match: '/sportsbook/' },
		{ name: 'football', id: '9678487', match: '/football/' },
		{ name: 'casino', id: '9678486', match: '/casino/' },
		{ name: 'livecasino', id: '9678488', match: '/livecasino/' }
	];

	var pageUrl = document.location.href.toLowerCase();
	var matches = events.filter(function(e) {
		return pageUrl.indexOf(e.match) > -1;
	});
	for (var i=0; i<matches.length; i++) {
		var img = new Image();
		img.src = eventBaseUrl + matches[i].id;
	}
  }
})();