(function(){
	
	var getAffiliateVars = function(){
		var o = {ChannelId:"",AccountId:"",AdId:""};
		var e = new RegExp("[\\?&]mktid=([^&#]*)");
		var r = e.exec(window.location.href);
		if(r){
			r[1] = r[1].replace(/%20/g," ");
			var v = r[1].indexOf("%3A") !== -1 ? r[1].split("%3A") : r[1].split(":");
			o.ChannelId = v[0];
			if(v.length > 1) o.AccountId = v[1];
			if(v.length > 2) o.AdId = v[2];
		}
		return o;
	}
	
	var getAdformClientId = function(){
		var locale = window.locale || "";
		if(locale === "en-en") return 543219;
		if(locale === "da-dk") return 453325;
		if(locale === "ee-ee") return 422830;
		if(locale === "fi-fi") return 369327;
		if(locale === "nl-nl") return 431417;
		if(locale === "lt-lt") return 506922;
		if(locale === "ro-ro") return 169041;
		if(locale === "be-fr") return 169038;
		if(locale === "be-nl") return 169038;
		return 0;
	}
	
	var cid = getAdformClientId();
	var affVars = getAffiliateVars();
	var urlDomain = window.location.hostname.replace('www.','').replace(/-\d+\./,'.');
	
	window._adftrack = {pm:cid,divider:encodeURIComponent('|'),order:{},pagename:encodeURIComponent('Master_tag_lp')};
	window._adftrack.order.sv3 = affVars.AdId ? affVars.ChannelId : 0;
	
	if(cid != 0 && urlDomain.indexOf("banners.unibet.") !== -1){
		var s = document.createElement('script'); s.type = 'text/javascript'; s.async = true; s.src = 'https://track.adform.net/serving/scripts/trackpoint/async/';
		var x = document.getElementsByTagName('script')[0]; x.parentNode.insertBefore(s,x);
	}
	
})();



