function Slot(t, e, s) {
    this.speed = 0, this.step = s, this.si = null, this.el = t, this.maxSpeed = e, $(t).pan({
        fps: 60,
        dir: "down"
    }), $(t).spStop()
}

function doAction(t, e) {
    for (var s = t.length - 1; s >= 0; s--) "start" == e ? t[s].start() : "stop" == e ? t[s].stop() : t[s].reset()
}

function startAnimation(t) {
    doAction(t, "start")
}

function stopAnimation(t) {
    doAction(t, "stop")
}

function resetAnimation(t) {
    doAction(t, "reset")
}

function animateText() {
    var t = $(".js-text-holder");
    t.find(".js-text-animation");
    setInterval(function () {
        var e = t.find(".active"), s = parseInt(e.data("order"));
        e.fadeOut(function () {
            var e = $(this);
            ++s > 2 && (s = 0), e.removeClass("active"), t.find("[data-order=" + s + "]").fadeIn().addClass("active")
        })
    }, 2e3)
}

function onImgLoad(t, e) {
    $(t).each(function () {
        this.complete || $(this).height() > 0 ? e.apply(this) : $(this).on("load", function () {
            e.apply(this)
        })
    })
}

function initialLoad() {
    var t = $(".js-slot-row");
    onImgLoad(".js-check-load", function () {
        t.each(function () {
            $(this).delay(500).addClass("show")
        }), startAnimation(rows)
    })
}

!function (t) {
    t._spritely = {
        animate: function (e) {
            var s = t(e.el), n = s.attr("id");
            if ((e = t.extend(e, t._spritely.instances[n] || {})).play_frames && !t._spritely.instances[n].remaining_frames && (t._spritely.instances[n].remaining_frames = e.play_frames + 1), "pan" == e.type && !t._spritely.instances[n]._stopped) {
                t._spritely.instances[n].l = t._spritely.getBgX(s).replace("px", ""), t._spritely.instances[n].t = t._spritely.instances[n].t + (e.speed || 1) || 0;
                var i = t._spritely.instances[n].l.toString();
                -1 == i.indexOf("%") ? i += "px " : i += " ";
                var r = t._spritely.instances[n].t.toString();
                -1 == r.indexOf("%") ? r += "px " : r += " ", t(s).css("background-position", i + r)
            }
            t._spritely.instances[n].options = e, window.setTimeout(function () {
                t._spritely.animate(e)
            }, parseInt(1e3 / e.fps))
        }, randomIntBetween: function (t, e) {
            return parseInt(rand_no = Math.floor((e - (t - 1)) * Math.random()) + t)
        }, getBgY: function (e) {
            return bgY = (t(e).css("background-position") || " ").split(" ")[1]
        }, getBgX: function (e) {
            return bgX = (t(e).css("background-position") || " ").split(" ")[0]
        }
    }, t.fn.extend({
        spritely: function (e) {
            var e = t.extend({
                type: "sprite",
                do_once: !1,
                width: null,
                height: null,
                fps: 12,
                no_of_frames: 2,
                stop_after: null
            }, e || {}), s = t(this).attr("id");
            t._spritely.instances || (t._spritely.instances = {}), t._spritely.instances[s] || (t._spritely.instances[s] = {current_frame: -1}), t._spritely.instances[s].type = e.type, t._spritely.instances[s].depth = e.depth, e.el = this, e.width = e.width || t(this).width() || 100, e.height = e.height || t(this).height() || 100;
            return e.do_once ? t._spritely.animate(e) : window.setTimeout(function () {
                t._spritely.animate(e)
            }, (e.fps, parseInt(1e3 / e.fps))), this
        }, pan: function (e) {
            var e = t.extend({type: "pan", dir: "left", continuous: !0, speed: 1}, e || {});
            return t(this).spritely(e)
        }, active: function () {
            return t._spritely.activeSprite = this, this
        }, spSet: function (e, s) {
            var n = t(this).attr("id");
            return t._spritely.instances[n][e] = s, this
        }, spGet: function (e, s) {
            var n = t(this).attr("id");
            return t._spritely.instances[n][e]
        }, spStop: function (e) {
            return t(this).each(function () {
                var s = t(this).attr("id");
                if (t._spritely.instances[s]._last_fps = t(this).spGet("fps"), t._spritely.instances[s]._stopped = !0, t._spritely.instances[s]._stopped_f1 = e, "sprite" == t._spritely.instances[s].type && t(this).spSet("fps", 0), e) {
                    var n = t._spritely.getBgY(t(this));
                    t(this).css("background-position", "0 " + n)
                }
            }), this
        }, spStart: function () {
            return t(this).each(function () {
                var e = t(this).attr("id"), s = t._spritely.instances[e]._last_fps || 12;
                t._spritely.instances[e]._stopped = !1, "sprite" == t._spritely.instances[e].type && t(this).spSet("fps", s)
            }), this
        }, fps: function (e) {
            return t(this).each(function () {
                t(this).spSet("fps", e)
            }), this
        }, spSpeed: function (e) {
            return t(this).each(function () {
                t(this).spSet("speed", e)
            }), this
        }, spState: function (e) {
            return t(this).each(function () {
                var s = (e - 1) * t(this).height() + "px", n = t._spritely.getBgX(t(this)) + " -" + s;
                t(this).css("background-position", n)
            }), this
        }
    })
}(jQuery);
try {
    document.execCommand("BackgroundImageCache", !1, !0)
} catch (t) {
}
Slot.prototype.start = function () {
    var t = this;
    $(t.el).addClass("motion"), $(t.el).spStart(), t.si = window.setInterval(function () {
        t.speed < t.maxSpeed && (t.speed += t.step, $(t.el).spSpeed(t.speed))
    }, 100)
}, Slot.prototype.stop = function () {
    var t = this;
    clearInterval(t.si), t.si = window.setInterval(function () {
        t.speed > 30 && (t.speed -= t.step, $(t.el).spSpeed(t.speed)), t.speed <= 30 && ($(t.el).spSpeed(0), $(t.el).spStop(), clearInterval(t.si), $(t.el).removeClass("motion"), t.speed = 0)
    }, 100)
}, Slot.prototype.reset = function () {
    var t = $(this.el).attr("id");
    $._spritely.instances[t].t = 0, $(this.el).css("background-position", "center 0"), this.speed = 0, completed = 0
};
var row1 = new Slot("#js-slot-row-1", 10, 1), row2 = new Slot("#js-slot-row-2", 10, 2),
    row3 = new Slot("#js-slot-row-3", 10, 3), row4 = new Slot("#js-slot-row-4", 10, 4),
    row5 = new Slot("#js-slot-row-5", 10, 5), rows = [row1, row2, row3, row4, row5];
$(document).ready(function () {
    initialLoad(), animateText()
});
