/* eslint-disable */
angular
    .module('App', [])
    .service('getTrans', function getTrans($http) {
        const getUrlParameter = (name) => {
            name = name.replace(/[\[]/, '\\[').replace(/[\]]/, '\\]');
            const regex = new RegExp(`[\\?&]${name}=([^&#]*)`);
            const results = regex.exec(document.location.search);
            return results === null ? '' : decodeURIComponent(results[1].replace(/\+/g, ' '));
        };
        let lang = getUrlParameter('lang') || 'en';
        lang = !!~['en', 'bg', 'da', 'de','ge', 'hr', 'fl', 'nn', 'tr', 'ru', 'pl', 'tr', 'ua', 'sv'].indexOf(lang) ? lang : 'en';
        this.getList = $http.get(`./translations/${lang}.json`);
        this.lang = lang;
    })
    .controller('mainBody', function mainBody($scope, getTrans) {
        getTrans.getList.then(res => {
            $scope.t = res.data;
            //     var link = window.location.href;
            //     let existLang = url.searchParams.get('lang');
            //     function returnLang () {
            //         if (lang.includes(lang)) {
            //             return existLang;
            //         }
            //         return existLang = '';
            //     };
            // }
        });
    });
