var translations = {
  data: function () {
    return {
      translations: {
        tr: {
          fsImageUrl: '100fs_turk.png',
          bonusImageUrl: '200perc_turk.png',
        	gameTitle1: 'Kâr kadar €100,000',
        	gameTitle2: 'ile turnuvalar',
        	counterText: 'Deneme sayısı',
        	gameButton: 'oyun',
        	modalTitle: 'Kazandın!',
        	modalMore1: 'Ekstra kazanç',
        	modalMore2: 'elde edebilirsiniz',
        	modalButton: 'Tekrar oyna',
        	modalTitle2: 'Ödülün seni bekliyor',
        	modalMakeDep1: '20$ veya daha fazla Ekle',
        	modalMakeDep2: 've almak',
        	modalText: 've',
        	modalButton2: 'Kayıt',
            cmbckr: 'Tebrikler!\n\nBu ikramiyeyi kazanmak için 100 şans isteyebilirsin.: $1,577,508.23 Eğer kazanırsan!'
        },
        sv: {
          fsImageUrl: '100fs_sweden.png',
          bonusImageUrl: '200perc_sweden.png',
          gameTitle1: 'Turneringar med upp till',
          gameTitle2: '€100.000 i vinster',
          counterText: 'Antal försök',
          gameButton: 'Spela',
          modalTitle: 'Du har vunnit!',
          modalMore1: 'Du kan få',
          modalMore2: 'ytterligare vinster',
          modalButton: 'Snurra igen',
          modalTitle2: 'Din vinst väntar',
          modalMakeDep1: 'Sätt in $20 eller mer',
          modalMakeDep2: 'och få',
          modalText: 'och',
          modalButton2: 'Registrering',
          cmbckr: 'GRATTIS!\n\nDu kan göra anspråk 100 CHANSER ATT VINNA JACKPOTTEN: $ 1.577.508,23 om du vinner!'
        },
        en: {
          fsImageUrl: '100fs_english.png',
          bonusImageUrl: '200perc_english.png',
        	gameTitle1: 'Tournaments with up to',
        	gameTitle2: '€ 100,000 in winnings',
        	counterText: 'Number of attempts',
        	gameButton: 'Play',
        	modalTitle: 'You have won!',
        	modalMore1: 'You can get',
        	modalMore2: 'additional winnings',
        	modalButton: 'Spin again',
        	modalTitle2: 'Your prize awaits',
        	modalMakeDep1: 'Deposit $20 or more',
        	modalMakeDep2: 'and get',
        	modalText: 'and',
        	modalButton2: 'Registration',
            cmbckr: 'CONGRATULATIONS!\n\nYou can claim 100 CHANCES TO WIN THIS JACKPOT : $1,577,508.23 if you win!'
        },
      },
    }
  },
  created: function () {

    var url = new URL(window.location.href);
    var lang = url.searchParams.get("lang");
    console.log(lang);
    if (lang != null) {
      this.currentLang = lang;
    } else {
      this.currentLang = 'en';
    }
    this.t = this.translations[this.currentLang];

  }
}


var vue = new Vue({
  mixins: [translations],
  el: '#app',
  data: {
    currentLang: 'en',
    t: {},
  },
  created: function () {
  }
})
